import { Database } from "../../../DatabaseServices/Database";
import { Polyline } from "../../../DatabaseServices/Entity/Polyline";
import { HardwareCompositeEntity } from "../../../DatabaseServices/Hardware/HardwareCompositeEntity";
import { HardwareTopline } from "../../../DatabaseServices/Hardware/HardwareTopline";
import { TemplateRecord } from "../../../DatabaseServices/Template/TemplateRecord";
import { CFHardware, CFTemplate, CFTopline } from "../Import/CFInterface";
export declare function ParseTemplateInfo(newTemp: TemplateRecord, tempInfo: CFTemplate, cuDb: Database): Promise<TemplateRecord>;
export declare function ParseHardwareInfo(newTemp: TemplateRecord, el: CFHardware, cuDb: Database): Promise<TemplateRecord | HardwareCompositeEntity>;
export declare function ParseToplineInfo(contour: Polyline, el: CFTopline, cuDb: Database): Promise<HardwareTopline>;
//# sourceMappingURL=ParseHardwareAndTemplateInfo.d.ts.map