/**
 * 实际上这里存储了所有界面配置的Key
 * UserConfigKey
 */
export declare enum BoardModalType {
    LR = "lr",
    TB = "tb",
    Be = "be",
    Ly = "ly",
    Ve = "ve",
    Sg = "sg",
    Skt = "skt",
    Dr = "dr",
    Zx = "zx",//右侧 造型 界面
    Mb = "mb",//门板
    JL = "hinge",
    Find = "findBr",
    JG = "jg",
    Lat = "lattice",
    TempDes = "templatedesign",
    Ct = "drawer",
    ActLr = "activelr",
    CompMetals = "compmetals",
    ToplineMetals = "toplinemetals",
    Curves2Rec = "curves2rec",
    Rec2Br = "rec2br",
    UpdateBoardInfo = "updateboardinfo",
    YX = "yixing",
    R2WR = "R2WR",
    ZX2 = "vmodeling",
    ZX3 = "3dmodeling",
    R2B2 = "R2B2",
    HS = "hideSelect",
    ParseBrName = "ParseBrName",
    AutoDimBrs = "AutoDimBrs",
    ChangeColorByBoardMaterial = "ChangeColorByMaterial",
    ChangeColorByBoardRoomCabinet = "ChangeColorByBoardRoomCabinet",
    ShareBoardInfoUpdateConfiguration = "ShareBoardInfoSettings",
    ModifyTexts = "ModifyTexts",
    Viewport = "Viewport",
    Viewport2 = "Viewport2",
    Viewport3 = "Viewport3",
    Viewport4 = "Viewport4",
    EditViewSetting = "EditViewSetting",
    PointLight = "PointLight",
    SpotLight = "SpotLight",
    RectAreaLight = "RectAreaLight",
    RightPlaneLight = "RightPlaneLight",
    KJLImportConfig = "KJLMaterialMap",//酷家乐导入配置(原酷家乐材质映射，考虑用户可能已经存在配置，所以原配置名称不变)
    BBSEditor = "BBSEditor",//编辑BBS
    BatchCurtail = "curtail",//批量内缩
    BatchModifyPanel = "BatchModifyPanel",//批量修改板件
    Sealing = "Sealing",//封边
    BoardEdgeRemarks = "boardEdgeRemarks",//板边备注
    DimStyleConfig = "DimStyleConfig",//标注配置
    BulkheadCeiling = "BulkheadCeiling",//吊顶轮廓
    BulkheadCeilingContour = "BulkheadCeilingContour",//吊顶轮廓
    HeadCeilingProfileMaterial = "HeadCeilingProfileMaterial",//吊顶截面材质
    AutoHoleFaceSetting = "AutoHoleFaceSetting",
    SelectThinBehindBoard = "SelectThinBehindBoard",
    SmoothEdge = "smoothEdge",
    ProcessGroupCategory = "processgroupcategory",
    UserConfig = "userConfig",
    CommonPanelStore = "CommonPanelStore",
    DoorRelatesInfoStore = "doorRelatesInfoStore",
    TemplateManage = "TemplateManage",//模板管理界面信息
    DatalistStore = "DatalistStore",//数据列表配置
    ConfigListMapStore = "ConfigListMapStore",//配置列表排序映射
    DrawWallStore = "DrawWallStore",//画墙时使用的配置
    BoardInfoDim = "BoardInfoDim",//板件信息标注
    FastDim = "FastDim"
}
//# sourceMappingURL=BoardModalType.d.ts.map