import { Matrix4 } from "three";
import { Board } from "../../DatabaseServices/Entity/Board";
import { Box3Ext } from "../../Geometry/Box";
/**
 * 缺口(柱子、梁)柜内空间绘制层立板自动按缺口尺寸绘制出异形板件
 * 切割凸出部分
 *
 * @param {Box3Ext} spaceBox
 * @param {Matrix4} spaceOCS
 * @param {Board[]} brs
 */
export declare function CuttingProtrudingPart(spaceBox: Box3Ext, spaceOCS: Matrix4, brs: Board[]): void;
//# sourceMappingURL=CuttingProtrudingPart.d.ts.map